summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-11-17 06:03:26 +1100
committerMichael Palimaka <kensington@gentoo.org>2016-11-17 06:03:53 +1100
commitd185c5cb325c0f23795538e1c25ae639c8e69040 (patch)
treefce2ac2182bbdc2fd982850cd177e801efe9bc14 /kde-frameworks/kfilemetadata
parentkde-apps/kdeadmin-meta: Drop obsolete comment (diff)
downloadgentoo-d185c5cb325c0f23795538e1c25ae639c8e69040.tar.gz
gentoo-d185c5cb325c0f23795538e1c25ae639c8e69040.tar.bz2
gentoo-d185c5cb325c0f23795538e1c25ae639c8e69040.zip
kde-frameworks: version bump 5.28.0
Package-Manager: portage-2.3.2
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.28.0.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 7273f8cf457..f3050d4da93 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,3 +1,4 @@
DIST kfilemetadata-4.14.3.tar.xz 35908 SHA256 3115e6ebd8b52ae9eb1016a3391b019c34fa443d6a5d9351550c5e0baf0d5371 SHA512 d7321b7e1ad755c0dc267b236a33a011377ba309d94c1497c081edad82171452595ce113428048e455b8b71f3ea480e4e76e797e31a74edd24bcf42617c59acb WHIRLPOOL 7e940864c4d9529bc3d5f8337bb9f22f09e00b653ce51b089b026ba3364c57f3f94df89f011f69e9d5500894f5f953fce29acfc7ee25b884876ada7f5f54fe86
DIST kfilemetadata-5.26.0.tar.xz 131636 SHA256 345c02a2e6e808cda7e278848722ece2050bf8f9577fdfec3ece18fb15a500f9 SHA512 1737f8fe3d46d91af7f29aadcb6d06fc638b12741902bb011dce56395d7fd8dc24fd0745d4e7ef326d2cd78119fa4be175c0281d81a09b82d9a6bda705e88286 WHIRLPOOL 6f5d93cf934da0a80d109744eb527c90642cb8ad88098ff526aa29552749a301c4613b6575a4a666f87bedac603474389579f8ea4bf5742d8b3dc85e53a1d782
DIST kfilemetadata-5.27.0.tar.xz 134860 SHA256 b8bcd56ffcf02246dd292b72eddba96e7c6e3bb1ec097f41d0d7be1f0b8046d1 SHA512 c00071a1f4196a7f0ef5449b8676187863dd5e7bfca4122e3ec2da531b8389d1a479e92ae09c18915b1ffdfe481f58cf86f5d5e25913dc1999f58ef427272c5e WHIRLPOOL a2887e3743bf75ea566a2e92d001f8de277eef64d6bf485764dc651522d3e4731df7095558443dd80d5d664e614fcaa54c5667f9c3bb7e87f467673bb8af0b10
+DIST kfilemetadata-5.28.0.tar.xz 134944 SHA256 86fbcf1aa89d7224a99608aeb5cb3d912afe126e14a91c5d571060ec7f77b16b SHA512 649fc4ce374a39e7bc821dff9140736017d35a23c1a0112b8cd044e46d1302f070d58a808c16f514895d8216930443520768d10fa9a72e114e3db51eb3f8918d WHIRLPOOL f625d763f1b9005c31a95729b1a4e08eb6fe8a1f959ea7b594601445c2c2360e17b9035c188702f40f2c09ff821e42c5b7d9f9e0d09bc559ff40d9633a20f5b0
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.28.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.28.0.ebuild
new file mode 100644
index 00000000000..ade6d4978d0
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.28.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils kde5
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="epub exif ffmpeg libav pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package pdf PopplerQt5)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "indexing of Microsoft Word or Powerpoint files" app-text/catdoc
+ optfeature "indexing of Microsoft Excel files" dev-libs/libxls
+ fi
+}